/** ###################################################################
**     THIS BEAN MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : MTIM1.H
**     Project   : DC15
**     Processor : MC9S08QG8CPB
**     Beantype  : Init_MTIM
**     Version   : Bean 01.041, Driver 01.02, CPU db: 2.87.108
**     Compiler  : CodeWarrior HCS08 C Compiler
**     Date/Time : 2/15/2007, 3:44 PM
**     Abstract  :
**          This bean provides initialization of the MTIM module.
**          The MTIM is a simple 8-bit timer with several software selectable clock
**          sources and a programmable interrupt. The central component of the MTIM
**          is the 8-bit counter that can operate as a free-running counter or
**          a modulo counter. A timer overflow interrupt can be enabled to generate
**          periodic interrupts for time-based software loops.
**     Settings  :
**          Bean name                                      : MTIM1
**          Device                                         : MTIM
**          Clock source                                   : Bus clock
**          Prescaler                                      : 32
**          Modulo register value                          : 0
**          Period                                         : 1.024 ms
**          Counter Reset                                  : yes
**          Pins                                           : 
**          External clock source                          : Disabled
**          Interrupt                                      : Vmtim
**          Overflow interrupt                             : Enabled
**          ISR name                                       : isrVmtim
**          Call Init method                               : yes
**          Enable MTIM module                             : yes
**     Contents  :
**         Init - void MTIM1_Init(void);
**
**     (c) Copyright UNIS, spol. s r.o. 1997-2006
**     UNIS, spol. s r.o.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################*/

#ifndef __MTIM1
#define __MTIM1

/* MODULE MTIM1. */

/* Include shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
/* Include inherited beans */

#include "Cpu.h"


/*
** ===================================================================
** The interrupt service routine must be implemented by user in one
** of the user modules (see MTIM1.c file for more information).
** ===================================================================
*/
__interrupt void isrVmtim(void);

/*
** ===================================================================
**     Method      :  MTIM1_Init (bean Init_MTIM)
**
**     Description :
**         This method initializes registers of the MTIM module
**         according to this Peripheral Initialization Bean settings.
**         Call this method in user code to initialize the module.
**         By default, the method is called by PE automatically; see
**         "Call Init method" property of the bean for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
void MTIM1_Init(void);

/* END MTIM1. */

#endif
/* ifndef __MTIM1 */
/*
** ###################################################################
**
**     This file was created by UNIS Processor Expert 2.99 [03.85]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
